%global sconsopts VERSION=%{version} PREFIX=%{_prefix} PREFIX_CONF=%{_sysconfdir} SKIPUTILS='NSIS Menu' STRIP_CP=false NSIS_MAX_STRLEN=8192
%global _default_patch_fuzz 2

Name:           mingw-nsis
Version:        2.50
Release:        %mkrel 2
Summary:        Nullsoft Scriptable Install System

License:        zlib and CPL
Group:          Development/Other
URL:            http://nsis.sourceforge.net/
Source0:        http://downloads.sourceforge.net/nsis/nsis-%{version}-src.tar.bz2

# This patch fixes NSIS to actually build 64-bit versions.
# Originally from Debian, updated by Kevin Kofler.
Patch0:         nsis-2.43-64bit-fixes.patch
# Use RPM_OPT_FLAGS for the natively-built parts
Patch1:         nsis-2.43-rpm-opt.patch
# Make plugins not depend on libgcc_s_sjlj-1.dll (#553971)
Patch2:         nsis-2.45-static-libgcc.patch
# Make plugins not depend on libstdc++-6.dll (#734905)
Patch3:         nsis-2.46-static-libstdc++.patch
# Missing #include <unistd.h> to get close(2) function.
Patch4:         nsis-2.46-missing-unistd-include.patch
# Add support to build against the mingw-w64 toolchain
Patch5:         nsis-add-mingw-w64-support.patch

BuildRequires:  mingw32-filesystem >= 40
BuildRequires:  mingw32-gcc
BuildRequires:  mingw32-gcc-c++
BuildRequires:  mingw32-binutils
BuildRequires:  python
BuildRequires:  scons

# Don't build NSIS Menu as it doesn't actually work on POSIX systems: 1. it
# doesn't find its index.html file without patching, 2. it has various links to
# .exe files such as the makensisw.exe W32 GUI which are not available in the
# POSIX version at all and 3. the documentation links have backslashes in the
# URLs and the relative paths are wrong. Almost none of the links worked when I
# tested it (after patching problem 1.).
# Also removes unnecessary wxGTK dependency for this otherwise GUI-less package.
# (Does it really make sense to drag in wxGTK just to display a HTML file?)
# If you really want to reenable this, it needs a lot of fixing. Oh, and it'd
# need a .desktop file too.
# -- Kevin Kofler
# BuildRequires:  wxGTK-devel


%description
NSIS, the Nullsoft Scriptable Install System, is a script-driven
Windows installation system.

This package includes native Fedora binaries of makensis (etc.) and
all plugins.


%package -n mingw32-nsis
Summary:        Nullsoft Scriptable Install System
# upgrade path for CalcForge users
Obsoletes:      nsis < %{version}-%{release}
Provides:       nsis = %{version}-%{release}
Obsoletes:      nsis-data < %{version}-%{release}
Provides:       nsis-data = %{version}-%{release}

%description -n mingw32-nsis
NSIS, the Nullsoft Scriptable Install System, is a script-driven
Windows installation system.

This package includes native Fedora binaries of makensis (etc.) and
all plugins.


%prep
%setup -q -n nsis-%{version}-src

%patch0 -p1 -b .64bit
%patch1 -p1 -b .rpmopt
%patch2 -p1 -b .static-libgcc
%patch3 -p1 -b .static-libstdc++
%patch4 -p1 -b .missing-unistd-include
%patch5 -p0 -b .mingw-w64


%build
scons %{sconsopts}


%install
scons %{sconsopts} PREFIX_DEST=$RPM_BUILD_ROOT install

mv $RPM_BUILD_ROOT%{_docdir}/nsis $RPM_BUILD_ROOT%{_docdir}/%{name}


%files -n mingw32-nsis
%doc %{_docdir}/%{name}
%config(noreplace) %{_sysconfdir}/nsisconf.nsh
%{_bindir}/*
#{_includedir}/nsis
%{_datadir}/nsis




%changelog
* Fri May 13 2016 tv <tv> 2.50-2.mga6
+ Revision: 1014593
- rebuild for ming toolchain

* Thu Apr 07 2016 tv <tv> 2.50-1.mga6
+ Revision: 999111
- new release

* Mon Feb 08 2016 umeabot <umeabot> 2.46-14.mga6
+ Revision: 948900
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 pterjan <pterjan> 2.46-13.mga5
+ Revision: 788549
- Remove useless failing mkdir

  + umeabot <umeabot>
    - Second Mageia 5 Mass Rebuild
    - Mageia 5 Mass Rebuild

* Mon Oct 28 2013 neoclust <neoclust> 2.46-11.mga4
+ Revision: 547723
- Import mingw-nsis

